<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2015, Ebenezer Obasi
 * All rights reserved.
 * info@eobai.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
 
 class CCONVO_CLASS_Form extends Form{
	 
	public function __construct( $name ) 
    {
        parent::__construct($name);
        
        $language = OW::getLanguage();
		$config = OW::getConfig();
		
        $fieldName = new TextField("name");
        $fieldName->setLabel($language->text("cconvo", "name_label"));
        $this->addElement($fieldName);
       
        $fieldMajors = new TextField("majors");
        $fieldMajors->setLabel($language->text("cconvo", "major_label"));
        $this->addElement($fieldMajors);
       
        $fieldClubSport = new TextField("clubSport");
        $fieldClubSport->setLabel($language->text("cconvo", "club_sport_label"));
        $this->addElement($fieldClubSport);
        
        $fieldFullTimeUndergrads = new Selectbox("fullTimeUndergrads");
        $fieldFullTimeUndergrads->setLabel($language->text("cconvo", "full_time_undergrads_label"));
        $fieldFullTimeUndergrads->setOptions(array(
            "0" =>$language->text("cconvo", "full_time_undergrads_all"),
            "1" =>$language->text("cconvo", "full_time_undergrads_1"),
            "2" => $language->text("cconvo", "full_time_undergrads_2"),
            "3" => $language->text("cconvo", "full_time_undergrads_3"),
            "4" => $language->text("cconvo", "full_time_undergrads_4")
        ));
        $this->addElement($fieldFullTimeUndergrads);
        
        $fieldStuudentFacultyRatio = new Selectbox("studentFacultyRatio");
        $fieldStuudentFacultyRatio->setLabel($language->text("cconvo", "student_falculty_ratio_label"));
        $fieldStuudentFacultyRatio->setOptions(array(
            "0" =>$language->text("cconvo", "student_falculty_ratio_all"),
            "1" =>$language->text("cconvo", "student_falculty_ratio_1"),
            "2" => $language->text("cconvo", "student_falculty_ratio_2"),
            "3" => $language->text("cconvo", "student_falculty_ratio_3"),
        ));
        $this->addElement($fieldStuudentFacultyRatio);
        
        $fieldInStateTuition = new Selectbox("inStateTuition");
        $fieldInStateTuition->setLabel($language->text("cconvo", "in_state_tuition_label"));
        $fieldInStateTuition->setOptions(array(
            "0" =>$language->text("cconvo", "in_state_tuition_all"),
            "1" =>$language->text("cconvo", "in_state_tuition_1"),
            "2" => $language->text("cconvo", "in_state_tuition_2"),
            "3" => $language->text("cconvo", "in_state_tuition_3"),
            "4" => $language->text("cconvo", "in_state_tuition_4")
        ));
        $this->addElement($fieldInStateTuition);
        
        $fieldSetting = new Selectbox("setting");
        $fieldSetting->setLabel($language->text("cconvo", "setting_label"));
        $fieldSetting->setOptions(array(
            "all" =>$language->text("cconvo", "setting_option_all"),
            "Rural" =>$language->text("cconvo", "setting_option_1"),
            "Town" => $language->text("cconvo", "setting_option_2"),
            "Suburban" => $language->text("cconvo", "setting_option_3"),
            "Small City" => $language->text("cconvo", "setting_option_4"),
            "Mid-sized city" => $language->text("cconvo", "setting_option_5"),
            "Large city" => $language->text("cconvo", "setting_option_6")
        ));
        $this->addElement($fieldSetting);

        $submit = new Submit('search');
        $submit->setValue($language->text('cconvo', 'form_label_submit'));
        $this->addElement($submit);
    }
	
 }